Austin Group Defect Tracker

Aardvark Mark III


Viewing Issue Simple Details Jump to Notes ] Issue History ] Print ]
ID Category Severity Type Date Submitted Last Update
0000070 [1003.1(2008)/Issue 7] System Interfaces Comment Error 2009-06-26 15:56 2013-04-16 13:06
Reporter nick View Status public  
Assigned To ajosey
Priority normal Resolution Accepted As Marked  
Status Closed  
Name Nick Stoughton
Organization
User Reference
Section pthread_mutex_init
Page Number 1628
Line Number 52378
Interp Status Approved
Final Accepted Text Note: 0000127
Summary 0000070: pthread_mutex_init() stds update
Description _____________________________________________________________________________
 COMMENT Enhancement Request Number 8
 nick:xxxxxxxxxx Bug in XSHd5.1 pthread_mutex_init (rdvk# 2)
 {nms-static-pthread} Wed, 17 Sep 2008 19:48:52 +0100 (BST)
 _____________________________________________________________________________

The current requirements for pthread_mutex_init() were developed at a
 time when the C standard in force was C89, and as a result restrict
 initialization of mutex objects via the initializer
 PTHREAD_MUTEX_INITIALIZER to statically allocated objects only.

 C99 now permits structure copying, thus allowing
 PTHREAD_MUTEX_INITIALIZER to be used at other times.

 (Note, this aardvark is an action arising from the recent
 P1003.27 POSIX-C++ WG meeting, and is also relevant to the
 ISO C++ standard in development).
Desired Action At line 52378, delete the words "that are statically allocated".
Tags tc1-2008
Attached Files

- Relationships

-  Notes
(0000127)
msbrown (manager)
2009-06-26 15:57
edited on: 2009-10-09 16:36

Interpretation response
------------------------
The standard states the requirements for pthread_mutex_init(),
and conforming implementations must conform to this. However, concerns
have been raised about this which are being referred to the sponsor.

Rationale:
-------------
None.

Notes to the Editor (not part of this interpretation):
-------------------------------------------------------
Draft 5.1R

XSH:
At line 52378, delete the words "that are statically allocated".
Delete "that are statically allocated" on p1582 line 50881
Delete "that are statically allocated" on p1671, lines 53705

XRAT:
Delete "statically allocated" on page 3576 line 121175


- Issue History
Date Modified Username Field Change
2009-06-26 15:56 msbrown New Issue
2009-06-26 15:56 msbrown Status New => Under Review
2009-06-26 15:56 msbrown Assigned To => ajosey
2009-06-26 15:56 msbrown Name => Mark Brown
2009-06-26 15:56 msbrown Organization => IBM
2009-06-26 15:56 msbrown Section => pthread_mutex_init
2009-06-26 15:56 msbrown Page Number => 1628
2009-06-26 15:56 msbrown Line Number => 52378
2009-06-26 15:57 msbrown Note Added: 0000127
2009-06-26 15:57 msbrown Status Under Review => Resolved
2009-06-26 15:57 msbrown Resolution Open => Accepted As Marked
2009-06-26 15:57 msbrown Final Accepted Text => Note: 0000127
2009-07-01 13:59 msbrown Name Mark Brown => Nick Stoughton
2009-07-01 13:59 msbrown Organization IBM =>
2009-07-01 13:59 msbrown Reporter msbrown => nick
2009-08-06 15:15 ajosey Note Added: 0000174
2009-08-06 15:15 ajosey Status Resolved => Interpretation Required
2009-08-11 16:30 Don Cragun Interp Status => Pending
2009-09-17 15:41 nick Interp Status Pending => Proposed
2009-10-09 16:36 ajosey Note Edited: 0000127
2009-10-09 16:37 ajosey Note Deleted: 0000174
2009-10-09 16:37 ajosey Interp Status Proposed => Approved
2010-09-20 09:14 geoffclare Tag Attached: tc1-2008
2013-04-16 13:06 ajosey Status Interpretation Required => Closed


Mantis 1.1.6[^]
Copyright © 2000 - 2008 Mantis Group
Powered by Mantis Bugtracker